Bug 117700 - [patch] audio/id3lib fix libtool TAG problem with GCC 4.2
Summary: [patch] audio/id3lib fix libtool TAG problem with GCC 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-30 23:40 UTC by Pietro Cerutti
Modified: 2007-10-31 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.33 KB, patch)
2007-10-30 23:40 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-10-30 23:40:04 UTC
A few Makefile.in's in audio/id3lib miss a --tag specification for libtool, which complains when used with GCC 4.2

Fix: Add these two patch files to the ${FILESDIR}

/*** BEGIN patch-src-Makefile.in ***/

/*** END patch-src-Makefile.in ***/


/*** BEGIN patch-examples-Makefile.in ***/



/*** END patch-examples-Makefile.in ***/--grxHNu4qefHZh1e1V90DImThpjmFrZTD8mvipkwhRLSpgvp1
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- src/Makefile.in.orig	2007-10-31 00:26:59.000000000 +0100
+++ src/Makefile.in	2007-10-31 00:27:25.000000000 +0100
@@ -236,11 +236,11 @@
 @AMDEP_TRUE@	./$(DEPDIR)/writers.Plo
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
+LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
 	$(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
+CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
 CXXFLAGS = @CXXFLAGS@
 DIST_SOURCES = $(libid3_la_SOURCES)
How-To-Repeat: cd /usr/ports/audio/id3lib && make
Comment 1 Martin Wilke freebsd_committer 2007-10-31 00:28:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Edwin Groothuis freebsd_committer 2007-10-31 05:34:55 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Khairil Yusof 2007-10-31 06:14:11 UTC
I can confirm the compile problem, however the provided patches could
not be applied automatically (malformed).

Could you provide the patches in a format used by the ports system.

Thanks.


On Wed, 2007-10-31 at 05:34 +0000, Edwin Groothuis wrote:
> Maintainer of audio/id3lib,
> 
> Please note that PR ports/117700 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/117700
>
Comment 4 Pietro Cerutti 2007-10-31 09:54:20 UTC
The patches provided are not to be applied. They are the two patch-files
to be included into ${FILESDIR}.
Anyway, here's the patch against the port:

--- id3lib/files/patch-examples-Makefile.in	1970-01-01
01:00:00.000000000 +0100
+++ id3lib/files/patch-examples-Makefile.in	2007-10-31
10:50:46.000000000 +0100
@@ -0,0 +1,26 @@
+--- examples/Makefile.in.orig 2007-10-31 00:27:29.000000000 +0100
++++ examples/Makefile.in 2007-10-31 00:27:55.000000000 +0100
+@@ -647,19 +647,19 @@
+@AMDEP_TRUE@ ./$(DEPDIR)/test_unicode.Po
+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+-LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
++LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS)
$(DEFAULT_INCLUDES) \
+$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+CCLD = $(CC)
+-LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
++LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
+$(AM_LDFLAGS) $(LDFLAGS) -o $@
+CFLAGS = @CFLAGS@
+CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
+-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
++LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
+$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
+$(AM_CXXFLAGS) $(CXXFLAGS)
+CXXLD = $(CXX)
+-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
++CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS)
$(CXXFLAGS) \
+$(AM_LDFLAGS) $(LDFLAGS) -o $@
+CXXFLAGS = @CXXFLAGS@
+DIST_SOURCES = $(findeng_SOURCES) $(findstr_SOURCES) $(get_pic_SOURCES) \
--- id3lib/files/patch-src-Makefile.in	1970-01-01 01:00:00.000000000 +0100
+++ id3lib/files/patch-src-Makefile.in	2007-10-31 10:50:46.000000000 +0100
@@ -0,0 +1,16 @@
+--- src/Makefile.in.orig 2007-10-31 00:26:59.000000000 +0100
++++ src/Makefile.in 2007-10-31 00:27:25.000000000 +0100
+@@ -236,11 +236,11 @@
+@AMDEP_TRUE@ ./$(DEPDIR)/writers.Plo
+CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
+-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
++LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
+$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
+$(AM_CXXFLAGS) $(CXXFLAGS)
+CXXLD = $(CXX)
+-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
++CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS)
$(CXXFLAGS) \
+$(AM_LDFLAGS) $(LDFLAGS) -o $@
+CXXFLAGS = @CXXFLAGS@
+DIST_SOURCES = $(libid3_la_SOURCES)

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 5 Martin Wilke freebsd_committer 2007-10-31 13:08:30 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2007-10-31 13:08:40 UTC
miwi        2007-10-31 13:08:34 UTC

  FreeBSD ports repository

  Modified files:
    audio/id3lib         Makefile 
  Added files:
    audio/id3lib/files   patch-examples-Makefile.in 
                         patch-src-Makefile.in 
  Log:
  - Fix libtool TAG problems with gcc 4.2
  
  PR:             117700
  Submitted by:   pietro cerutti <gahr@gahr.ch>
  Approved by:    portmgr (pav), maintainer
  
  Revision  Changes    Path
  1.28      +1 -1      ports/audio/id3lib/Makefile
  1.1       +26 -0     ports/audio/id3lib/files/patch-examples-Makefile.in (new)
  1.1       +16 -0     ports/audio/id3lib/files/patch-src-Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"